# Odds by fixture, bookmaker and market id

### Odds by fixture and bookmaker id

The [**odds by fixture and bookmaker id endpoint**](https://football-postman.sportmonks.com/#df327c76-3d44-49c6-b0f4-46ba32a2d8a2) is recommended if you want to request the odds for **one** fixture and **one** bookmaker.

As you can see, you need to parse one fixture and one bookmaker id. The endpoint will return **all** the available markets of **one** bookmaker for **one fixture.** As mentioned previously, you can find the bookmakers ids via our [**bookmaker endpoint.**](https://football-postman.sportmonks.com/#ed4c30db-cb45-4d4a-8bec-a067d17fe0e3)

For example, the odds from bet365 (#2) for the fixture Juventus – Barcelona (17361236):

{% tabs %}
{% tab title="Request" %}

```javascript
https://soccer.sportmonks.com/api/v2.0/odds/fixture/17361236/bookmaker/2?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
    "data": [
        {
            "id": 1,
            "name": "3Way Result",
            "suspended": false,
            "bookmaker": {
                "data": [
                    {
                        "id": 2,
                        "name": "bet365",
                        "odds": {
                            "data": [
                                {
                                    "label": "1",
                                    "value": "2.90",
                                    "extra": null,
                                    "probability": "34.48%",
                                    "dp3": "2.9000",
                                    "american": 190,
                                    "factional": null,
                                    "handicap": null,
                                    "total": null,
                                    "winning": null,
                                    "stop": false,
                                    "bookmaker_event_id": 94629640,
                                    "last_update": {
                                        "date": "2020-10-28 10:37:17.587467",
                                        "timezone_type": 3,
                                        "timezone": "UTC"
                                    }
                                },
                                {
                                    "label": "X",
                                    "value": "3.50",
                                    "extra": null,
                                    "probability": "28.57%",
                                    "dp3": "3.5000",
                                    "american": 250,
                                    "factional": null,
                                    "handicap": null,
                                    "total": null,
                                    "winning": null,
                                    "stop": false,
                                    "bookmaker_event_id": 94629640,
                                    "last_update": {
                                        "date": "2020-10-28 10:37:17.587478",
                                        "timezone_type": 3,
                                        "timezone": "UTC"
                                    }
                                },
                                {
                                    "label": "2",
                                    "value": "2.35",
                                    "extra": null,
                                    "probability": "42.55%",
                                    "dp3": "2.3500",
                                    "american": 135,
                                    "factional": null,
                                    "handicap": null,
                                    "total": null,
                                    "winning": null,
                                    "stop": false,
                                    "bookmaker_event_id": 94629640,
                                    "last_update": {
                                        "date": "2020-10-28 10:37:17.587487",
                                        "timezone_type": 3,
                                        "timezone": "UTC"
                                    }
                                }
                            ]
                        }
                    }
                ]
            }
        },
```

{% endtab %}
{% endtabs %}

As you can see, it gives you all the markets from bet365. However, you can also request one market from **all** the bookmakers.

### Odds by Fixture and Market id

Let’s continue with this example. However, this time, you want to know the odds of the home, draw, away (3-way-result) market from **all** the bookmakers from the same fixture. You can use our [**odds by fixture and market id**](https://football-postman.sportmonks.com/#6e96c33e-4633-439e-a5f6-b81e7c9508c7) for this.

As you can see, you need to parse one fixture and one market id. The endpoint will return **one** market from all the available bookmakers for **one fixture.** You can find the market ids via our [**markets endpoint.** ](https://football-postman.sportmonks.com/#3489f1ae-7c4b-453b-a720-17fa1b9dd6f0)

For example, the 3-way-result market (#1) for the fixture Juventus – Barcelona (17361236).

{% tabs %}
{% tab title="Request" %}

```javascript
https://soccer.sportmonks.com/api/v2.0/odds/fixture/17361236/market/1?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
    "data": [
        {
            "id": 1,
            "name": "3Way Result",
            "suspended": true,
            "bookmaker": {
                "data": [
                    {
                        "id": 271057009,
                        "name": "CloudBet",
                        "odds": {
                            "data": [
                                {
                                    "label": "1",
                                    "value": "2.99",
                                    "probability": "33.44%",
                                    "dp3": "2.990",
                                    "american": 199,
                                    "factional": null,
                                    "winning": null,
                                    "handicap": null,
                                    "total": null,
                                    "bookmaker_event_id": null,
                                    "last_update": {
                                        "date": "2020-10-28 14:34:34.000000",
                                        "timezone_type": 3,
                                        "timezone": "UTC"
                                    }
                                },
                                {
                                    "label": "X",
                                    "value": "3.46",
                                    "probability": "28.9%",
                                    "dp3": "3.459",
                                    "american": 246,
                                    "factional": null,
                                    "winning": null,
                                    "handicap": null,
                                    "total": null,
                                    "bookmaker_event_id": null,
                                    "last_update": {
                                        "date": "2020-10-28 14:34:34.000000",
                                        "timezone_type": 3,
                                        "timezone": "UTC"
                                    }
                                },
                                {
                                    "label": "2",
                                    "value": "2.51",
                                    "probability": "39.84%",
                                    "dp3": "2.510",
                                    "american": 150,
                                    "factional": null,
                                    "winning": null,
                                    "handicap": null,
                                    "total": null,
                                    "bookmaker_event_id": null,
                                    "last_update": {
                                        "date": "2020-10-28 14:34:34.000000",
                                        "timezone_type": 3,
                                        "timezone": "UTC"
                                    }
                                }
                            ]
                        }
                    }, 
```

{% endtab %}
{% endtabs %}

As you can see, the API returns all the odds of the requested market from different bookmakers. You can see Cloudbet and many more. This could be great if you want to compare all the bookmakers from one market.&#x20;

{% hint style="info" %}
Interested in the best odds for a market? We also offer a Value Bet model for this. More about the [**value bet** ](https://documenter.getpostman.com/view/11949411/T1LPD6nj?version=latest#306af5a3-5076-4ae6-a35b-3443d8d90e3b)can be found in our [**predictions tutorial.**](/v2/tutorials/odds-and-predictions/extra-predictions.md)
{% endhint %}

### **Odds by fixture id**

Of course, it’s also possible to request **all** the odds markets from **all** the bookmakers. You can use our [**odds by fixture id endpoint** ](https://football-postman.sportmonks.com/#ce0577c7-23d6-464f-8480-662bc8a7eae8)for that:

```javascript
https://soccer.sportmonks.com/api/v2.0/odds/fixture/17361236?api_token={API_TOKEN}
```

{% hint style="info" %}
**Note** that it’s not possible to filter on this endpoint. If you want to filter the odds, you should use the flatOdds include on one of our [**fixtures endpoints.**](https://football-postman.sportmonks.com/#b7f79045-eac3-40c5-b114-24c5b438f62c)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/tutorials/odds-and-predictions/extra-odds/odds-by-fixture-bookmaker-and-market-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
